Bug 1969077

Summary: F35FailsToInstall: python3-oslo-utils, python3-oslo-utils-tests: Fails to build with Python 3.10: AttributeError: module 'collections' has no attribute 'Mapping'
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: python-oslo-utilsAssignee: Joel Capitao <jcapitao>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: apevec, christos.triantafyllidis, gchamoul, jcapitao, openstack-sig, thrnciar
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-06-17 08:14:53 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1913291, 1968968    
Bug Blocks: 1890881, 1903959, 1914840, 1926337, 1927313, 1968893, 1968934, 1968992, 1969000, 1969012, 1969013, 1969022, 1969023, 1969030, 1969049, 1969058, 1969067, 1969073, 1969074, 1969075, 1969076, 1969153, 1969177    

Description Miro Hrončok 2021-06-07 23:43:11 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (python-oslo-utils) Fails To Install in Fedora 35:

can't install python3-oslo-utils:
  - nothing provides python(abi) = 3.9 needed by python3-oslo-utils-4.8.0-1.fc35.noarch
  
can't install python3-oslo-utils-tests:
  - nothing provides python(abi) = 3.9 needed by python3-oslo-utils-tests-4.8.0-1.fc35.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2021-06-07 23:48:44 UTC
This bugzilla is likely a fallout from the Python 3.10 rebuild.

If your package (or some of the dependencies it has) failed to rebuild during the Python 3.10 rebuild, they now fail to install. To fix this, packages need to be rebuilt in Rawhide.

We will slowly triage the bugzillas, but we'd appreciate your help.

If you know this is blocked by an existing reported build failure or another package not yet rebuilt with Python 3.10, please mark it as such by using the "Depends On"/"Blocks" bugzilla fields. That will help us determine what failures to prioritize.

Thank you and sorry for the inconvenience. Let me know if you need any help.

Comment 2 Miro Hrončok 2021-06-15 20:52:09 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 3 Joel Capitao 2021-06-16 07:04:30 UTC
I built eventlet locally with this upstream patch [1] (which is not yet merged)
and then built locally oslo-utils as well. It does need a patch too. 
I submitted it in [2] and will create the PR once eventlet, fixed and available in rawhide repo,
in order to save CI resources.

[1] https://github.com/eventlet/eventlet/pull/715
[2] https://src.fedoraproject.org/fork/jcapitao/rpms/python-oslo-utils/c/f132a6b66d98c4a7e9798c5acb4e881524382ddb?branch=rawhide

Comment 4 Tomáš Hrnčiar 2021-06-16 08:13:05 UTC
Thank you for pointing out the eventlet patch. With this patch Eventlet builds in our Python 3.10 COPR. I am gonna open PR to backport it so we can unblock the oslo stack.

Comment 5 Joel Capitao 2021-06-17 08:14:53 UTC
Fixed with https://koji.fedoraproject.org/koji/taskinfo?taskID=70280457

Comment 6 Red Hat Bugzilla 2023-09-15 01:09:20 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 500 days